Skip to main content
GET
/
accounts
/
me
Get current account
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/accounts/me \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.truust.io/2.0/accounts/me"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.truust.io/2.0/accounts/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "self": "/2.0/accounts/me",
  "merchant_id": "<string>",
  "name": "My Company",
  "email": "jsmith@example.com",
  "currency": "EUR",
  "country_code": "ES",
  "business_url": "<string>",
  "business_phone": "<string>",
  "business_description": "<string>",
  "image_url": "<string>",
  "public_key": "<string>",
  "secret_key": "<string>",
  "value_shipping": 123,
  "is_active": true,
  "allowed_gateways": [
    "<string>"
  ],
  "gateways": [
    {}
  ],
  "default_gateway": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Response

200 - application/json

Account details

self
string
Example:

"/2.0/accounts/me"

merchant_id
string

Unique merchant identifier (addon_key).

name
string
Example:

"My Company"

email
string<email>
currency
string
Example:

"EUR"

country_code
string
Example:

"ES"

business_url
string | null
business_phone
string | null
business_description
string | null
image_url
string | null
public_key
string
secret_key
string

Secret API key. Only visible to the account owner.

allow_shipping
enum<integer>
Available options:
0,
1
value_shipping
number
is_active
boolean
psd2_enabled
enum<integer>
Available options:
0,
1
allowed_gateways
string[]
gateways
object[] | null

List of configured payment gateway objects for the account.

default_gateway
string | null
created_at
string<date-time> | null